mdb_page(3)

NAME
mdb_page - Page Flags

SYNOPSIS

  Macros

#define P_BRANCH 0x01
#define P_LEAF 0x02
#define P_OVERFLOW 0x04
#define P_META 0x08
#define P_DIRTY 0x10
#define P_LEAF2 0x20
#define P_SUBP 0x40
#define P_LOOSE 0x4000
#define P_KEEP 0x8000

Detailed Description

Flags for the page headers.

Macro Definition Documentation

  #define P_BRANCH 0x01
branch page

  #define P_LEAF 0x02
leaf page

  #define P_OVERFLOW 0x04
overflow page

  #define P_META 0x08
meta page

  #define P_DIRTY 0x10
dirty page, also set for P_SUBP pages

  #define P_LEAF2 0x20
for MDB_DUPFIXED records

  #define P_SUBP 0x40
for MDB_DUPSORT sub-pages

  #define P_LOOSE 0x4000
page was dirtied then freed, can be reused

  #define P_KEEP 0x8000
leave this page alone during spill

Author

Generated automatically by Doxygen for LMDB from the source code.